Skip to main content

Get All Roles For Sandbox

GET 

/v1/sandbox/:sandbox_id/role

Get all Roles for Sandbox, requires sandbox:config:view | sandbox:config:edit permission

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Responses

Successful Response

Schema

    roles

    object[]

    required

    A list of all Roles

  • Array [

  • last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    sandbox_id uuid

    ID of the Sandbox

    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    custom_data

    object

    Custom data associated with the resource

    property name* string

    login_loot_rewards

    object[]

    List of login loot rewards for this role

  • Array [

  • loot_id uuidrequired

    Loot ID for this login loot reward tied to this role

    legacy_loot_id Legacy Loot Id (integer)

    Default value: 0

    Legacy loot ID for this login loot reward tied to this role

  • ]

  • role_id uuid

    Default value: 92635edf-5b05-4c0b-bb78-4ab28176b5f1

    Unique Identifier for this Role

    legacy_role_id Legacy Role Id (integer)

    Default value: 0

    Legacy role ID for this role

    auth_bypass Role Auth Bypass Method (string)

    Possible values: [none, locked, limited]

    Type of Auth Bypass.

  • ]

  • cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Loading...